SDL_GetTrayMenuParentTray(3)

NAME
SDL_GetTrayMenuParentTray - Gets the tray for which this menu is the first-level menu, if the current menu isn't a submenu.

SYNOPSIS
#include <SDL3/SDL_tray.h>

SDL_Tray * SDL_GetTrayMenuParentTray(SDL_TrayMenu *menu);

DESCRIPTION
Either this function or SDL_GetTrayMenuParentEntry() will return non-NULL for any given menu.

FUNCTION PARAMETERS

menu
    the menu for which to get the parent enttrayry.

RETURN VALUE
Returns the parent tray, or NULL if this menu is a submenu.

THREAD SAFETY
This function should be called on the thread that created the tray.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateTrayMenu(3), SDL_GetTrayMenuParentEntry(3)